#include "AbstractFace.h"

#include "Edge.h"

AbstractFace::AbstractFace(unsigned id)
    : mId(id)
{

}

AbstractFace::~AbstractFace()
{

}

void AbstractFace::addVectorAttribute(const std::string& tag, const std::vector<double>& values)
{
    mVectorAttributes[tag] = values;
}

std::vector<double> AbstractFace::getVectorAttribute(const std::string& tag) const
{
    auto iter = mVectorAttributes.find(tag);
    if (iter != mVectorAttributes.end())
    {
        return iter->second;
    }
    return {};
}

void AbstractFace::setIndex(std::size_t idx)
{
    mId = idx;
}
